//
//  AppController.m
//  NSScanner_Test
//
//  Created by Lars Wikstrom on 8/29/11.
//  Copyright 2011 Next Level Productions. All rights reserved.
//

#import "AppController.h"


@implementation AppController

- (id)init
{
    self = [super init];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (IBAction)convertButton:(id)sender {
    
    tempString = [readInTextField stringValue]; //Read in TextField to NSString
    
    scanLetter = [[NSScanner alloc] initWithString:tempString]; // Instantiate NSScanner for Letters and numbers
    scanNumber = [[NSScanner alloc] initWithString:tempString];
    NSCharacterSet *cSet = [NSCharacterSet characterSetWithCharactersInString:tempString]; //Convert string to an NSCharacterSet
    
    [scanLetter setCharactersToBeSkipped:[NSCharacterSet decimalDigitCharacterSet]]; //Set up the scanner to remove all numbers.
    [scanLetter scanCharactersFromSet:cSet intoString:&tempString]; //Read in teh cSet and place them into the NSString
    [lettersReturnTextField setStringValue: tempString]; // set the TextField to the calue of NSString
    
    [scanNumber scanInt: &numbers]; // Scans in the numbers.
    tempString = [NSString stringWithFormat:@"%d", numbers]; // I formatted the Int to a NSString
    [numbersReturnTextField setStringValue:tempString]; // Set the TextField for the calue of the string.
        
    
    [scanLetter release];
    [scanNumber release];
}
@end
